dofile(LockOn_Options.common_script_path..'Radio.lua')
dofile(LockOn_Options.common_script_path.."mission_prepare.lua")

local gettext = require("i_18n")
_ = gettext.translate

frequency_dial = {limit = {100E6,399999E3}, dials = {{157,100.0,1E7, shift= 10, limit = {10,40}},{158,10.0,1E6},{159,10.0,1E5},{160,100.0,1E3,limit = {0,100}}}}

innerNoise			= getInnerNoise(2.5E-6, 6)
frequency_accuracy 	= 1000.0		--Hz
band_width			= 25E3			--Hz 

power_MW			= 10.0			-- Power in metric range, Watts
power_DMW			= 8.0			-- Power in decimetric range, Watts

agr = {
	input_signal_deviation		= 50.0, --Db
	output_signal_deviation		= 5.0,  --Db
	input_signal_linear_zone 	= 10.0,  --Db
	regulation_time				= 0.25, --sec
}

presets = {}
presets[1] = 227100000.0
presets[2] = 227200000.0
presets[3] = 227300000.0
presets[4] = 233100000.0
presets[5] = 233200000.0
presets[6] = 233300000.0
presets[7] = 229100000.0
presets[8] = 229200000.0
presets[9] = 229300000.0
presets[10] = 310100000.0
presets[11] = 339725000.0
presets[12] = 225100000.0
presets[13] = 225200000.0
presets[14] = 225300000.0
presets[15] = 315100000.0
presets[16] = 269100000.0
presets[19] = 269200000.0
presets[18] = 225000000.0
presets[19] = 225000000.0
presets[20] = 243000000.0

GUI = {
	ranges = { 	{min = 100E6, max = 149975E3, step = 25E3}, --Hz
				{min = 220E6, max = 399975E3, step = 25E3} },
	displayName = _('R-863'),
	AM = true,
	FM = true,
}
